<?php

namespace FiloBlu\LookProduct\Observer;

use Magento\Framework\Event\Observer as EventObserver;
use Magento\Framework\Event\ObserverInterface;

class CatalogProductLoadAfter implements ObserverInterface {

    protected $_helper;

    public function __construct(
    \FiloBlu\LookProduct\Helper\Data $helper
    ) {
        $this->_helper = $helper;
    }

    public function execute(EventObserver $observer) {

        $product = $observer->getEvent()->getProduct();

        $_canDisableShopSingleProduct = ($product->getTypeId() == "look_product");

        if ($_canDisableShopSingleProduct) {
            $product->setDisableAddToCart(true);
        }

        $_canHidePriceSingleProduct = ($product->getTypeId() == "look_product");

        if ($_canHidePriceSingleProduct) {
            $product->setCanShowPrice(false);
        }
    }

}
